.main-blog {
  background-color: rgb(var(--color-background));
}

.main-blog__container {
  display: flex;
  flex-direction: column;
  gap: 50px;
}

@media (max-width: 959px) {
  .main-blog__container {
    gap: 30px;
  }
}

.main-blog__list {
  --column-gap: 22px;
  --row-gap: 50px;
}

@media (max-width: 959px) {
  .main-blog__list {
    --row-gap: 40px;
  }
}

.main-blog__list[data-layout="list"] {
  --desktop-columns: 1;
}

.main-blog__list[data-layout="list"] .main-blog__item {
  grid-column: span 1;
}

.main-blog__list[data-layout="list"] .main-blog__item .block-article-card {
  display: flex !important;
  flex-direction: row !important;
  align-items: center !important;
  gap: 30px !important;
  text-align: left !important;
}

.main-blog__list[data-layout="list"] .main-blog__item .block-article-card__cover {
  width: 40%;
  flex-shrink: 0;
}

.main-blog__list[data-layout="list"] .main-blog__item .block-article-card__info {
  flex: 1;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: flex-start !important;
}

@media (max-width: 959px) {
  .main-blog__list[data-layout="list"] .main-blog__item .block-article-card {
    flex-direction: column !important;
    text-align: center !important;
  }

  .main-blog__list[data-layout="list"] .main-blog__item .block-article-card__cover {
    width: 100%;
  }

  .main-blog__list[data-layout="list"] .main-blog__item .block-article-card__info {
    align-items: center !important;
  }
}

@media (min-width: 960px) {
  .main-blog__list[data-layout="grid"] {
    --desktop-columns: var(--grid-desktop-columns);
  }
}

.main-blog__title {
  color: rgba(var(--color-text));
}
